## prometheus 0.14.0+ds

=== Makefile ===
# Copyright 2013 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

TEST_ARTIFACTS = prometheus prometheus.race search_index

include Makefile.INCLUDE

all: binary test

$(GOCC): $(BUILD_PATH)/cache/$(GOPKG)
	tar -C $(BUILD_PATH)/root -xzf $<
	touch $@

advice: $(GOCC)
	$(GO) vet ./...

binary: build

build: tools web $(GOPATH)
	$(GO) build -o prometheus $(BUILDFLAGS) .

docker: build
	docker build -t prometheus:$(REV) .

tarball: $(ARCHIVE)

$(ARCHIVE): build
	tar -czf $(ARCHIVE) prometheus tools/rule_checker/rule_checker consoles console_libraries

release: REMOTE     ?= $(error "can't upload, REMOTE not set")
release: REMOTE_DIR ?= $(error "can't upload, REMOTE_DIR not set")
release: $(ARCHIVE)
	scp $< $(REMOTE):$(REMOTE_DIR)/

tag:
	git tag $(VERSION)
	git push --tags

$(BUILD_PATH)/cache/$(GOPKG):
	$(CURL) -o $@ -L $(GOURL)/$(GOPKG)

benchmark: dependencies tools web
	$(GO) test $(GO_TEST_FLAGS) -test.run='NONE' -test.bench='.*' -test.benchmem ./... | tee benchmark.txt

clean:
	$(MAKE) -C $(BUILD_PATH) clean
	$(MAKE) -C tools clean
	$(MAKE) -C web clean
	rm -rf $(TEST_ARTIFACTS)
	-rm $(ARCHIVE)
	-find . -type f -name '*~' -exec rm '{}' ';'
	-find . -type f -name '*#' -exec rm '{}' ';'
	-find . -type f -name '.#*' -exec rm '{}' ';'

$(SELFLINK): $(GOPATH)
	ln -s $(MAKEFILE_DIR) $@

$(GOPATH):
	cp -a $(MAKEFILE_DIR)/Godeps/_workspace $(GOPATH)

dependencies: $(GOCC) | $(SELFLINK)

documentation: search_index
	godoc -http=:6060 -index -index_files='search_index'

format: dependencies
	find . -iname '*.go' | egrep -v "^\./\.build|./generated|\./Godeps|\.(l|y)\.go" | xargs -n1 $(GOFMT) -w -s=true

race_condition_binary: build
	$(GO) build -race -o prometheus.race $(BUILDFLAGS) .

race_condition_run: race_condition_binary
	./prometheus.race $(ARGUMENTS)

search_index:
	godoc -index -write_index -index_files='search_index'

test: dependencies tools web
	$(GO) test $(GO_TEST_FLAGS) ./...

tools: dependencies
	$(MAKE) -C tools

web: dependencies
	$(MAKE) -C web

.PHONY: advice binary build clean dependencies documentation format race_condition_binary race_condition_run release run search_index tag tarball test tools

=== .build/Makefile ===
# Copyright 2013 Prometheus Team
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

.SUFFIXES:

include ../Makefile.INCLUDE

all:

clean:
	$(MAKE) -C root clean

=== tools/Makefile ===
# Copyright 2013 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

all: rule_checker

SUFFIXES:

include ../Makefile.INCLUDE

rule_checker:
	$(MAKE) -C rule_checker

clean:
	$(MAKE) -C rule_checker clean

.PHONY: clean rule_checker

=== web/Makefile ===
# Copyright 2013 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

include ../Makefile.INCLUDE

all: blob/files.go

SUFFIXES:

blob/files.go: $(shell find templates/ static/ -type f)
	# Note that embed-static.sh excludes map files and the
	# non-minified bootstrap files.
	../utility/embed-static.sh static templates | $(GOFMT) > $@

clean:
	-rm -f blob/files.go

.PHONY: clean

=== .build/root/Makefile ===
# Copyright 2013 Prometheus Team
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

.SUFFIXES:

include ../../Makefile.INCLUDE

all:

clean:
	rm -rf *
	git checkout .

=== tools/rule_checker/Makefile ===
# Copyright 2013 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

MAKE_ARTIFACTS = rule_checker

all: rule_checker

SUFFIXES:

include ../../Makefile.INCLUDE

rule_checker: $(shell find . -iname '*.go')
	$(GO) build -o rule_checker .

clean:
	rm -rf $(MAKE_ARTIFACTS)

.PHONY: clean

=== debian/changelog ===
prometheus (0.14.0+ds-1) unstable; urgency=medium

  * Fix upstream version (it is a repackage, so it should be marked).
  * Un-vendor github.com/prometheus/log as it is now a separate package.
  * debian/control: Update prometheus/log package name.
  * debian/postrm: Do not remove directories forcefully, as these are shared
    with other prometheus tools.

 -- Martín Ferrari <tincho@debian.org>  Tue, 07 Jul 2015 08:21:19 +0000

prometheus (0.14.0-1) unstable; urgency=medium

  * Initial release. (Closes: #777048)

 -- Martín Ferrari <tincho@debian.org>  Tue, 30 Jun 2015 14:41:58 +0000

=== debian/control ===
Source: prometheus
Section: net
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>
Build-Depends: debhelper (>= 9.0.0),
               dh-golang,
               golang-dns-dev,
               golang-fsnotify-dev,
               golang-github-prometheus-log-dev,
               golang-go (>= 1.3),
               golang-golang-x-net-dev,
               golang-goleveldb-dev,
               golang-logrus-dev,
               golang-logrus-dev,
               golang-prometheus-client-dev,
               golang-yaml.v2-dev,
               libjs-bootstrap,
               libjs-handlebars,
               libjs-jquery-hotkeys,
               libjs-rickshaw,
               node-less
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/prometheus.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-go/packages/prometheus.git/

Package: prometheus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, daemon,
         libjs-bootstrap,
         libjs-handlebars,
         libjs-jquery-hotkeys,
         libjs-rickshaw,
Recommends: prometheus-node-exporter, prometheus-cli
Built-Using: ${misc:Built-Using}
Description: Monitoring system and time series database
 Prometheus is a systems and services monitoring system. It collects metrics
 from configured targets at given intervals, evaluates rule expressions,
 displays the results, and can trigger alerts if some condition is observed to
 be true.
 .
 Prometheus' main distinguishing features as compared to other monitoring
 systems are:
 .
  * A multi-dimensional data model (timeseries defined by metric name and set
    of key/value dimensions).
  * A flexible query language to leverage this dimensionality.
  * No dependency on distributed storage; single server nodes are autonomous.
  * Timeseries collection happens via a pull model over HTTP.
  * Pushing timeseries is supported via an intermediary gateway.
  * Targets are discovered via service discovery or static configuration.
  * Multiple modes of graphing and dashboarding support.
  * Federation support coming soon.

=== debian/rules ===
#!/usr/bin/make -f
# -*- Mode: makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# DH_GOPKG is the upstream path which you would normally “go get”.
# Using it allows us to build applications without patching locations.
export DH_GOPKG := github.com/prometheus/prometheus

#export DH_GOLANG_EXCLUDES := web/blob

BUILDDIR := $(shell perl -w -MDebian::Debhelper::Buildsystem::golang -e \
    'print Debian::Debhelper::Buildsystem::golang->new()->get_builddir()')

# Taken and modified from the project's Makefile.

DEBVERS    ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION    ?= $(shell echo '$(DEBVERS)' | sed 's/^[[:digit:]]*://; s/[-].*//')
DEBPKGNAME ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Source: //p')
REV        := $(DEBVERS)
BRANCH     := debian/sid
USER       := pkg-go-maintainers@lists.alioth.debian.org
HOSTNAME   := $(shell hostname -f)
BUILD_DATE := $(shell date +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDFLAGS := -ldflags \
  " -X main.buildVersion $(VERSION)\
    -X main.buildRevision $(REV)\
    -X main.buildBranch $(BRANCH)\
    -X main.buildUser $(USER)\
    -X main.buildDate $(BUILD_DATE)\
    -X main.goVersion $(GO_VERSION)"

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_configure:
	dh_auto_configure -O--buildsystem=golang
	# Include test fixtures.
	for i in retrieval/discovery/fixtures config/testdata promql/testdata \
                storage/local/fixtures; do \
            cp -av $$i $(BUILDDIR)/src/$(DH_GOPKG)/$$i; \
        done
	# Include vendored dependencies.
	for i in github.com/hashicorp; do \
            cp -av Godeps/_workspace/src/$$i $(BUILDDIR)/src/$$i; \
        done

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -- $(BUILDFLAGS)

WEB_VENDORED_DIR := debian/prometheus/usr/share/prometheus/web/static/vendor
override_dh_auto_install:
	dh_auto_install
	# we don't want the golang source (yet?)
	rm -r debian/prometheus/usr/share/gocode
	# Build and install datetimepicker.
	mkdir -vp $(WEB_VENDORED_DIR)/bootstrap-datetimepicker
	lessc web/static/vendor/bootstrap-datetimepicker/bootstrap-datetimepicker.less > \
            $(WEB_VENDORED_DIR)/bootstrap-datetimepicker/bootstrap-datetimepicker.css
	cp -v web/static/vendor/bootstrap-datetimepicker/bootstrap-datetimepicker.js \
            $(WEB_VENDORED_DIR)/bootstrap-datetimepicker/

gen-orig-tgz:
	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ] ; then \
	    git archive --format=tar.gz --prefix=$(DEBPKGNAME)-$(VERSION)/ \
                upstream/$(VERSION) >../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ; \
	fi

## prometheus 0.16.2%2Bds

=== debian/rules ===
#!/usr/bin/make -f
# -*- Mode: makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# DH_GOPKG is the upstream path which you would normally “go get”.
# Using it allows us to build applications without patching locations.
export DH_GOPKG := github.com/prometheus/prometheus

#export DH_GOLANG_EXCLUDES := web/blob

BUILDDIR := $(shell perl -w -MDebian::Debhelper::Buildsystem::golang -e \
    'print Debian::Debhelper::Buildsystem::golang->new()->get_builddir()')

# Taken and modified from the project's Makefile.

DEBVERS    ?= $(shell dpkg-parsechangelog -SVersion)
VERSION    ?= $(shell echo '$(DEBVERS)' | sed 's/^[[:digit:]]*://; s/[-].*//')
DEBPKGNAME ?= $(shell dpkg-parsechangelog -SSource)
DEBDATE    ?= $(shell dpkg-parsechangelog -SDate)
REV        := $(DEBVERS)
BRANCH     := debian/sid
USER       := pkg-go-maintainers@lists.alioth.debian.org
HOSTNAME   := debian
BUILD_DATE := $(shell date --utc --date='$(DEBDATE)' +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDFLAGS := -ldflags \
  " -X $(DH_GOPKG)/version.Version=$(VERSION)\
    -X $(DH_GOPKG)/version.Revision=$(REV)\
    -X $(DH_GOPKG)/version.Branch=$(BRANCH)\
    -X $(DH_GOPKG)/version.BuildUser=$(USER)\
    -X $(DH_GOPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(DH_GOPKG)/version.GoVersion=$(GO_VERSION)"

# Avoid some tests that fail on slow architectures.
ifeq ($(DEB_HOST_ARCH_CPU),arm)
SKIP_TESTS :=
SHORT_TESTS := -short
else
SKIP_TESTS :=
SHORT_TESTS :=
endif

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_configure:
	dh_auto_configure -O--buildsystem=golang
	# Include test fixtures.
	for i in retrieval/discovery/fixtures storage/local/fixtures \
                config/testdata promql/testdata retrieval/testdata; do \
            cp -av $$i $(BUILDDIR)/src/$(DH_GOPKG)/$$i; \
        done
	# Include vendored dependencies.
	for i in github.com/hashicorp/consul \
                github.com/influxdb/influxdb; \
        do \
            dst=`dirname $(BUILDDIR)/src/$$i`; \
            mkdir -vp $$dst; \
            cp -av vendor/$$i $$dst; \
        done

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -- $(BUILDFLAGS)

override_dh_auto_test:
	# Avoid some tests that fail on slow architectures.
	DH_GOLANG_EXCLUDES="$(SKIP_TESTS)" \
		dh_auto_test -O--buildsystem=golang -- $(SHORT_TESTS)

WEB_VENDORED_DIR := debian/prometheus/usr/share/prometheus/web/static/vendor
override_dh_auto_install:
	dh_auto_install
	# we don't want the golang source (yet?)
	rm -r debian/prometheus/usr/share/gocode
	# Build and install datetimepicker.
	mkdir -vp $(WEB_VENDORED_DIR)/bootstrap-datetimepicker
	lessc web/blob/static/vendor/bootstrap-datetimepicker/bootstrap-datetimepicker.less > \
            $(WEB_VENDORED_DIR)/bootstrap-datetimepicker/bootstrap-datetimepicker.css
	cp -v web/blob/static/vendor/bootstrap-datetimepicker/bootstrap-datetimepicker.js \
            $(WEB_VENDORED_DIR)/bootstrap-datetimepicker/

gen-orig-tgz:
	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ] ; then \
	    git archive --format=tar.gz --prefix=$(DEBPKGNAME)-$(VERSION)/ \
                upstream/$(VERSION) >../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ; \
	fi

## prometheus 0.16.2+ds

=== Makefile ===
# Copyright 2015 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

GO   := GO15VENDOREXPERIMENT=1 go
pkgs  = $(shell $(GO) list ./... | grep -v /vendor/)

all: format build test

style:
	@echo ">> checking code style"
	@! gofmt -d **/*.go | grep '^'

test:
	@echo ">> running tests"
	@$(GO) test -short $(pkgs)

format:
	@echo ">> formatting code"
	@$(GO) fmt $(pkgs)

vet:
	@echo ">> vetting code"
	@$(GO) vet $(pkgs)

build:
	@echo ">> building binaries"
	@./scripts/build.sh

tarballs:
	@echo ">> building release tarballs"
	@./scripts/release_tarballs.sh

docker:
	@docker build -t prometheus:$(shell git rev-parse --short HEAD) .

assets:
	@echo ">> writing assets"
	@$(GO) get -u github.com/jteeuwen/go-bindata/...
	@$(GO) generate ./web/blob
	@$(GO) fmt ./web/blob >/dev/null


.PHONY: all style format build test vet docker assets tarballs

=== debian/changelog ===
prometheus (0.16.2+ds-1ubuntu1) xenial; urgency=medium

  * debian/patches/06-Bug#818417-AWS_SDK_changes.patch: Grab patch from Debian to
    fix FTBFS with new golang-github-aws-aws-sdk-go.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 08 Apr 2016 04:15:29 +0000

prometheus (0.16.2+ds-1) unstable; urgency=high

  * New upstream release.
  * debian/rules: improve build-reproducibility.
  * Fix build issues due to changes in dependencies. Closes: #811236.

 -- Martín Ferrari <tincho@debian.org>  Mon, 25 Jan 2016 11:05:02 +0000

prometheus (0.15.1+ds-2) unstable; urgency=high

  * Make the build date match the changelog, to improve reproducibility.
  * Disable completely some tests that depend on timing. Closes: #792053.

 -- Martín Ferrari <tincho@debian.org>  Fri, 28 Aug 2015 09:25:37 +0000

prometheus (0.15.1+ds-1) unstable; urgency=medium

  * New upstream release. Closes: #792053.
  * Add missing dependency on adduser. Closes: #792498.
  * Update dependencies, refresh patches.
  * Stop adding examples as unowned files. Instead leave a README file pointing
    to the location of the examples. Closes: #792105.
  * debian/rules: Avoid some tests that fail on slow architectures.

 -- Martín Ferrari <tincho@debian.org>  Tue, 25 Aug 2015 02:57:50 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,25 @@
 Source: prometheus
 Section: net
 Priority: extra
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: adduser, debhelper (>= 9.0.0),
                dh-golang,
                golang-dns-dev,
                golang-fsnotify-dev,
+               golang-github-aws-aws-sdk-go-dev,
+               golang-github-julienschmidt-httprouter-dev,
+               golang-github-prometheus-common-dev,
                golang-github-prometheus-log-dev,
+               golang-github-samuel-go-zookeeper-dev,
+               golang-github-vaughan0-go-ini-dev,
                golang-go (>= 1.3),
                golang-golang-x-net-dev,
                golang-goleveldb-dev,
                golang-logrus-dev,
                golang-logrus-dev,
-               golang-prometheus-client-dev,
+               golang-prometheus-client-dev (>= 0.6.0+git20150715.36659fa+ds),
                golang-yaml.v2-dev,
                libjs-bootstrap,
                libjs-handlebars,
@@ -23,6 +29,7 @@
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-go/packages/prometheus.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-go/packages/prometheus.git/
+Homepage: http://prometheus.io/
 
 Package: prometheus
 Architecture: any

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*\/)?v?(\d[\d\.]*)\.tar\.gz/prometheus-$1.tar.gz/,dversionmangle=s/\+ds\d*$//" \
         https://github.com/prometheus/prometheus/tags \
         (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## prometheus 1.0.1+ds

=== Makefile ===
--- 
+++ 
@@ -11,14 +11,30 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-GO   := GO15VENDOREXPERIMENT=1 go
-pkgs  = $(shell $(GO) list ./... | grep -v /vendor/)
+GO           := GO15VENDOREXPERIMENT=1 go
+FIRST_GOPATH := $(firstword $(subst :, ,$(GOPATH)))
+PROMU        := $(FIRST_GOPATH)/bin/promu
+pkgs          = $(shell $(GO) list ./... | grep -v /vendor/)
+
+PREFIX                  ?= $(shell pwd)
+BIN_DIR                 ?= $(shell pwd)
+DOCKER_IMAGE_NAME       ?= prometheus
+DOCKER_IMAGE_TAG        ?= $(subst /,-,$(shell git rev-parse --abbrev-ref HEAD))
+
+ifdef DEBUG
+	bindata_flags = -debug
+endif
+
 
 all: format build test
 
 style:
 	@echo ">> checking code style"
-	@! gofmt -d **/*.go | grep '^'
+	@! gofmt -d $(shell find . -path ./vendor -prune -o -name '*.go' -print) | grep '^'
+
+check_license:
+	@echo ">> checking license header"
+	@./scripts/check_license.sh
 
 test:
 	@echo ">> running tests"
@@ -32,23 +48,27 @@
 	@echo ">> vetting code"
 	@$(GO) vet $(pkgs)
 
-build:
+build: promu
 	@echo ">> building binaries"
-	@./scripts/build.sh
+	@$(PROMU) build --prefix $(PREFIX)
 
-tarballs:
-	@echo ">> building release tarballs"
-	@./scripts/release_tarballs.sh
+tarball: promu
+	@echo ">> building release tarball"
+	@$(PROMU) tarball --prefix $(PREFIX) $(BIN_DIR)
 
 docker:
-	@docker build -t prometheus:$(shell git rev-parse --short HEAD) .
+	@echo ">> building docker image"
+	@docker build -t "$(DOCKER_IMAGE_NAME):$(DOCKER_IMAGE_TAG)" .
 
 assets:
 	@echo ">> writing assets"
 	@$(GO) get -u github.com/jteeuwen/go-bindata/...
-	@$(GO) generate ./web/blob
-	@$(GO) fmt ./web/blob >/dev/null
+	@go-bindata $(bindata_flags) -pkg ui -o web/ui/bindata.go -ignore '(.*\.map|bootstrap\.js|bootstrap-theme\.css|bootstrap\.css)'  web/ui/templates/... web/ui/static/...
+
+promu:
+	@GOOS=$(shell uname -s | tr A-Z a-z) \
+	GOARCH=$(subst x86_64,amd64,$(patsubst i%86,386,$(shell uname -m))) \
+	$(GO) get -u github.com/prometheus/promu
 
 
-.PHONY: all style format build test vet docker assets tarballs
-
+.PHONY: all style check_license format build test vet assets tarball docker promu

=== debian/changelog ===
prometheus (1.0.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Update dependency version for prometheus/common.

 -- Martín Ferrari <tincho@debian.org>  Mon, 15 Aug 2016 13:08:24 +0100

prometheus (1.0.0+ds-1) unstable; urgency=medium

  * New upstream release. 1.0!
  * Update debian/copyright.
  * debian/patches:
    - Refresh patches.
    - Remove old patch for go 1.3 compatibility.
  * Add logrotate script.
  * Update default configuration (breaking changes).
  * debian/init: Check config during init.

 -- Martín Ferrari <tincho@debian.org>  Tue, 19 Jul 2016 04:48:06 +0000

prometheus (0.20.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update lintian overrides for new binary.
  * Update dependencies.

 -- Martín Ferrari <tincho@debian.org>  Fri, 24 Jun 2016 16:15:53 +0000

prometheus (0.19.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Remove obsolete golang-github-prometheus-log-dev
    dependency.
  * debian/control:
    - Update Vcs-Git to use HTTPS.
    - Switch to depend on golang-any instead of golang-go.
    - Change dh-golang dependency to work in backports.

 -- Martín Ferrari <tincho@debian.org>  Wed, 15 Jun 2016 11:49:27 +0000

prometheus (0.19.2+ds-2) unstable; urgency=medium

  * debian/rules: catch up with changes in linker flags so build information
    is shown again.

 -- Martín Ferrari <tincho@debian.org>  Tue, 31 May 2016 00:19:12 +0000

prometheus (0.19.2+ds-1) unstable; urgency=medium

  [ Filippo Giunchedi ]
  * debian/service: match sysvinit behaviour (send SIGTERM with 20s timeout,
    never send SIGKILL) Closes: #824842

  [ Martín Ferrari ]
  * New upstream release. Update dependencies.
  * Switch to use the golang-github-prometheus-client-model-dev package.
  * Improve the way datetimepicker is built.
  * Refresh patches.
  * Tidy up debian/rules.
  * debian/control: add versions to depends that solve bugs.

 -- Martín Ferrari <tincho@debian.org>  Mon, 30 May 2016 09:54:35 +0000

prometheus (0.18.0+ds-2) unstable; urgency=medium

  * Depend on fsnotify 1.3.0-3, which fixes build issues in arm64, ppc64, and
    ppc64el. Remove workaround patch.
  * Fix default configuration file. Closes: #822471.
  * debian/control: Update Standards-Version without changes.
  * debian/control: Make all URLs use https.

 -- Martín Ferrari <tincho@debian.org>  Sat, 30 Apr 2016 23:16:14 +0100

prometheus (0.18.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Martín Ferrari <tincho@debian.org>  Tue, 19 Apr 2016 13:54:45 +0000

prometheus (0.18.0~rc1+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Martín Ferrari <tincho@debian.org>  Mon, 11 Apr 2016 14:32:45 +0100

prometheus (0.17.0+ds-3) unstable; urgency=medium

  * Completely disable fsnofity in arm64, ppc64, and ppc64el, as it is broken
    in these architectures.

 -- Martín Ferrari <tincho@debian.org>  Mon, 28 Mar 2016 21:50:05 +0100

prometheus (0.17.0+ds-2) unstable; urgency=medium

  * debian/rules: disable all retrieval tests for arm, as these are too flaky in
    slow architectures.

 -- Martín Ferrari <tincho@debian.org>  Mon, 28 Mar 2016 17:43:15 +0000

prometheus (0.17.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/init: sleep longer when stopping the daemon.
  * debian/watch: fix watch file for RC releases.
  * debian/patches/06-Bug#818417-AWS_SDK_changes.patch: Fix FTBFS, thanks to
    Filippo Giunchedi for the patch. Closes: #818417.
  * debian/service: Add systemd unit, thanks to Michael Gebetsroither for the
    patch. Closes: #814802.
  * debian/init: Add support for reload, thanks to Filippo Giunchedi for the
    patch. Closes: #817403.
  * debian/default: Update default values and help text.

 -- Martín Ferrari <tincho@debian.org>  Sat, 26 Mar 2016 05:50:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,26 @@
 Source: prometheus
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>
 Build-Depends: adduser, debhelper (>= 9.0.0),
-               dh-golang,
+               golang-any (>= 1.3),
+               dh-golang (>= 1.17~),
                golang-dns-dev,
-               golang-fsnotify-dev,
+               golang-github-fsnotify-fsnotify-dev (>= 1.3.0-3),
+               golang-github-asaskevich-govalidator-dev,
                golang-github-aws-aws-sdk-go-dev,
+               golang-github-azure-azure-sdk-for-go-dev,
+               golang-github-azure-go-autorest-dev,
+               golang-github-dgrijalva-jwt-go-dev,
+               golang-github-hashicorp-consul-dev,
                golang-github-julienschmidt-httprouter-dev,
-               golang-github-prometheus-common-dev,
-               golang-github-prometheus-log-dev,
+               golang-github-prometheus-client-model-dev,
+               golang-github-prometheus-common-dev (>= 0+git20160801),
                golang-github-samuel-go-zookeeper-dev,
-               golang-github-vaughan0-go-ini-dev,
-               golang-go (>= 1.3),
-               golang-golang-x-net-dev,
+               golang-golang-x-net-dev (>= 1:0.0+git20160518),
+               golang-golang-x-sys-dev,
                golang-goleveldb-dev,
-               golang-logrus-dev,
                golang-logrus-dev,
                golang-prometheus-client-dev (>= 0.6.0+git20150715.36659fa+ds),
                golang-yaml.v2-dev,
@@ -26,10 +29,10 @@
                libjs-jquery-hotkeys,
                libjs-rickshaw,
                node-less
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/prometheus.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-go/packages/prometheus.git/
-Homepage: http://prometheus.io/
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus.git/
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus.git/
+Homepage: https://prometheus.io/
 
 Package: prometheus
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- Mode: makefile -*-

export DH_VERBOSE=1
export DH_GOPKG := github.com/prometheus/prometheus
# Include test fixtures.
export DH_GOLANG_INSTALL_EXTRA := retrieval/discovery/fixtures \
    storage/local/fixtures config/testdata promql/testdata retrieval/testdata \
    promql/fuzz-data

BUILDDIR := build
METAPKG := github.com/prometheus/common

# Taken and modified from the project's Makefile.

DEBVERS    ?= $(shell dpkg-parsechangelog -SVersion)
VERSION    ?= $(shell echo '$(DEBVERS)' | sed 's/^[[:digit:]]*://; s/[-].*//')
DEBPKGNAME ?= $(shell dpkg-parsechangelog -SSource)
DEBDATE    ?= $(shell dpkg-parsechangelog -SDate)
REV        := $(DEBVERS)
BRANCH     := debian/sid
USER       := pkg-go-maintainers@lists.alioth.debian.org
HOSTNAME   := debian
BUILD_DATE := $(shell date --utc --date='$(DEBDATE)' +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDFLAGS := -ldflags \
  " -X $(METAPKG)/version.Version=$(VERSION)\
    -X $(METAPKG)/version.Revision=$(REV)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

# Avoid some tests that fail on slow architectures.
ifeq ($(DEB_HOST_ARCH_CPU),arm)
SKIP_TESTS := github.com/prometheus/prometheus/retrieval
SHORT_TESTS := -short
else
SKIP_TESTS :=
SHORT_TESTS :=
endif

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)

override_dh_auto_configure:
	dh_auto_configure -O--buildsystem=golang
	# Include vendored dependencies.
	for i in github.com/hashicorp/consul \
                github.com/influxdb/influxdb; \
        do \
            dst=`dirname $(BUILDDIR)/src/$$i`; \
            mkdir -vp $$dst; \
            cp -av vendor/$$i $$dst; \
        done

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Build and install datetimepicker.
	mkdir -vp $(BUILDDIR)/bootstrap-datetimepicker
	lessc web/ui/static/vendor/bootstrap-datetimepicker/bootstrap-datetimepicker.less > \
            $(BUILDDIR)/bootstrap-datetimepicker/bootstrap-datetimepicker.css
	cp web/ui/static/vendor/bootstrap-datetimepicker/bootstrap-datetimepicker.js \
            $(BUILDDIR)/bootstrap-datetimepicker/

override_dh_auto_test:
	# Avoid some tests that fail on slow architectures.
	DH_GOLANG_EXCLUDES="$(SKIP_TESTS)" dh_auto_test -- $(SHORT_TESTS)

override_dh_auto_install:
	dh_auto_install -- --no-source

gen-orig-tgz:
	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ] ; then \
	    git archive --format=tar.gz --prefix=$(DEBPKGNAME)-$(VERSION)/ \
                upstream/$(subst ~,_,$(VERSION)) > \
                ../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ; \
	fi

## prometheus 1.5.2+ds

=== Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	@./scripts/check_license.sh
 
 test:
-	@echo ">> running tests"
+	@echo ">> running short tests"
 	@$(GO) test -short $(pkgs)
 
 format:
@@ -64,8 +64,10 @@
 	@echo ">> writing assets"
 	@$(GO) get -u github.com/jteeuwen/go-bindata/...
 	@go-bindata $(bindata_flags) -pkg ui -o web/ui/bindata.go -ignore '(.*\.map|bootstrap\.js|bootstrap-theme\.css|bootstrap\.css)'  web/ui/templates/... web/ui/static/...
+	@$(GO) fmt ./web/ui
 
 promu:
+	@echo ">> fetching promu"
 	@GOOS=$(shell uname -s | tr A-Z a-z) \
 	GOARCH=$(subst x86_64,amd64,$(patsubst i%86,386,$(shell uname -m))) \
 	$(GO) get -u github.com/prometheus/promu

=== debian/changelog ===
prometheus (1.5.2+ds-2) unstable; urgency=medium

  * Disable "long" tests in arm*, which take way too long and run out of
    memory. Closes: #852959.

 -- Martín Ferrari <tincho@debian.org>  Fri, 10 Feb 2017 23:13:51 -0300

prometheus (1.5.2+ds-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Martín Ferrari <tincho@debian.org>  Sat, 11 Feb 2017 00:27:48 +0000

prometheus (1.5.0+ds-1) unstable; urgency=medium

  * The "Only use non-alternative facts for monitoring" release.
  * Refresh patches: re-enable test, disable parts of ec2 discovery that
    require a different sdk.
  * Disable completely Kubernetes support, due to the insane amount of
    dependencies in their client library.
  * Remove prometheus-cli from Recommends.
  * Add original sources for JS fuzzy library.

 -- Martín Ferrari <tincho@debian.org>  Thu, 26 Jan 2017 22:38:53 +0000

prometheus (1.2.3+ds2-5) unstable; urgency=medium

  * Last test failures were actually problems with fsnotify+gccgo.
    Throwing the towel on it: prometheus will only compile with golang-go for
    now.
  * Increase the tests timeout again even more for armel. Closes: #847764

 -- Martín Ferrari <tincho@debian.org>  Mon, 12 Dec 2016 11:17:25 +0100

prometheus (1.2.3+ds2-4) unstable; urgency=high

  * Remove unneeded dependencies.
  * Increase test timeouts (some tests still failing on slow arches),
    and re-enable disabled tests on arm.

 -- Martín Ferrari <tincho@debian.org>  Thu, 01 Dec 2016 12:07:27 +0100

prometheus (1.2.3+ds2-3) unstable; urgency=high

  * Re-enable buildflags (needed for version information), which were
    removed by mistake.
  * Avoid conflicts with vendored dependencies when compiling with gccgo.
  * Disable TestDropMetrics, which is flaky in armel and has been
    preventing transition to testing (raising urgency).

 -- Martín Ferrari <tincho@debian.org>  Wed, 30 Nov 2016 11:28:54 +0100

prometheus (1.2.3+ds2-2) unstable; urgency=medium

  * Fix the new datetime picker control (was not working at all).
    Closes: #844513.
  * Replace libjs-handlebars with libjs-mustache. Closes: #835661.
  * Add dependency on new golang-golang-x-oauth2-google-dev.

 -- Martín Ferrari <tincho@debian.org>  Thu, 17 Nov 2016 05:59:48 +0000

prometheus (1.2.3+ds2-1) unstable; urgency=high

  * The "We had all the monitoring and alerting, yet the worst still happened"
    release.
  * New source release, removing the vendoring of bootstrap-datetimepicker.
  * Switch to golang-google-cloud-compute-metadata-dev dep.
  * Backport math fixes from 1.3.1 that fix build issues in armel (raising
    urgency). Hopefully prometheus will enter testing again now.

 -- Martín Ferrari <tincho@debian.org>  Wed, 09 Nov 2016 21:07:14 +0000

prometheus (1.2.3+ds-2) unstable; urgency=medium

  * Correct extra unneeded deps (the relevant parts are already vendored-in).

 -- Martín Ferrari <tincho@debian.org>  Fri, 04 Nov 2016 00:54:10 +0000

prometheus (1.2.3+ds-1) unstable; urgency=medium

  * New upstream release, containing a few bugfixes.
  * Add minimum version for jquery dependency (relevant for backports).
  * Re-vendor github.com/hashicorp/consul until the Debian package is
    stable.
  * Remove unneeded build-deps.
  * Update dependency on golang-github-miekg-dns-dev.

 -- Martín Ferrari <tincho@debian.org>  Thu, 03 Nov 2016 23:45:07 +0000

prometheus (1.2.2+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Martín Ferrari <tincho@debian.org>  Mon, 31 Oct 2016 22:26:59 +0000

prometheus (1.2.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update dependencies.
  * Refresh patches.
  * Unvendor jquery and replace with Debian's packaged version.
  * Update prometheus-common dependency.

 -- Martín Ferrari <tincho@debian.org>  Sun, 23 Oct 2016 20:21:28 +0000

prometheus (1.1.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * Switch away from node-less as it has bad arch support.

 -- Martín Ferrari <tincho@debian.org>  Sun, 02 Oct 2016 16:52:48 +0000

prometheus (1.1.2+ds-2) unstable; urgency=medium

  * Add a patch that fixes build issues in i386 and armhf.

 -- Martín Ferrari <tincho@debian.org>  Sat, 10 Sep 2016 20:06:40 +0000

prometheus (1.1.2+ds-1) unstable; urgency=medium

  * New upstream release, fixing some bugs.

 -- Martín Ferrari <tincho@debian.org>  Fri, 09 Sep 2016 17:24:48 +0300

prometheus (1.1.1+ds-1) unstable; urgency=medium

  * New upstream release. Closes: #835741.
  * debian/control: Update dependency name for client_golang.
  * debian/control: Add new dependency for gRPC.
  * debian/control: Add explicit dependency for snappy.
  * Install examples, but do not build them.
  * debian/patches/07-Disable_dns_test.patch: Disable test that accesses the
    network.

 -- Martín Ferrari <tincho@debian.org>  Thu, 08 Sep 2016 12:56:40 +0000

=== debian/control ===
--- 
+++ 
@@ -4,31 +4,28 @@
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>
 Build-Depends: adduser, debhelper (>= 9.0.0),
-               golang-any (>= 1.3),
+               golang-go (>= 1.6),
                dh-golang (>= 1.17~),
-               golang-dns-dev,
-               golang-github-fsnotify-fsnotify-dev (>= 1.3.0-3),
                golang-github-asaskevich-govalidator-dev,
                golang-github-aws-aws-sdk-go-dev,
                golang-github-azure-azure-sdk-for-go-dev,
                golang-github-azure-go-autorest-dev,
                golang-github-dgrijalva-jwt-go-dev,
-               golang-github-hashicorp-consul-dev,
+               golang-github-fsnotify-fsnotify-dev (>= 1.3.0-3),
+               golang-github-golang-snappy-dev (>= 0.0+git20160529),
                golang-github-julienschmidt-httprouter-dev,
+               golang-github-miekg-dns-dev (>= 0.0~git20161018),
+               golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-client-model-dev,
-               golang-github-prometheus-common-dev (>= 0+git20160801),
+               golang-github-prometheus-common-dev (>= 0+git20161002),
                golang-github-samuel-go-zookeeper-dev,
+               golang-github-sirupsen-logrus-dev,
                golang-golang-x-net-dev (>= 1:0.0+git20160518),
+               golang-golang-x-oauth2-google-dev,
                golang-golang-x-sys-dev,
                golang-goleveldb-dev,
-               golang-logrus-dev,
-               golang-prometheus-client-dev (>= 0.6.0+git20150715.36659fa+ds),
-               golang-yaml.v2-dev,
-               libjs-bootstrap,
-               libjs-handlebars,
-               libjs-jquery-hotkeys,
-               libjs-rickshaw,
-               node-less
+               golang-google-api-dev,
+               golang-gopkg-yaml.v2-dev,
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus.git/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus.git/
@@ -38,10 +35,13 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, daemon,
          libjs-bootstrap,
-         libjs-handlebars,
+         libjs-eonasdan-bootstrap-datetimepicker,
+         libjs-mustache,
+         libjs-jquery (>= 1.11.3~),
          libjs-jquery-hotkeys,
+         libjs-moment,
          libjs-rickshaw,
-Recommends: prometheus-node-exporter, prometheus-cli
+Recommends: prometheus-node-exporter
 Built-Using: ${misc:Built-Using}
 Description: Monitoring system and time series database
  Prometheus is a systems and services monitoring system. It collects metrics

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,11 @@
 export DH_VERBOSE=1
 export DH_GOPKG := github.com/prometheus/prometheus
 # Include test fixtures.
-export DH_GOLANG_INSTALL_EXTRA := retrieval/discovery/fixtures \
+export DH_GOLANG_INSTALL_EXTRA := discovery/file/fixtures \
     storage/local/fixtures config/testdata promql/testdata retrieval/testdata \
     promql/fuzz-data
+# Do not build examples.
+export DH_GOLANG_EXCLUDES := documentation vendor
 
 BUILDDIR := build
 METAPKG := github.com/prometheus/common
@@ -31,13 +33,11 @@
     -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
     -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"
 
-# Avoid some tests that fail on slow architectures.
 ifeq ($(DEB_HOST_ARCH_CPU),arm)
-SKIP_TESTS := github.com/prometheus/prometheus/retrieval
-SHORT_TESTS := -short
+# Tests in armel take way too long, and run out of memory in armhf.
+TESTFLAGS  := -timeout 60m -short
 else
-SKIP_TESTS :=
-SHORT_TESTS :=
+TESTFLAGS  := -timeout 20m
 endif
 
 %:
@@ -46,26 +46,19 @@
 override_dh_auto_configure:
 	dh_auto_configure -O--buildsystem=golang
 	# Include vendored dependencies.
-	for i in github.com/hashicorp/consul \
-                github.com/influxdb/influxdb; \
+	for i in github.com/hashicorp github.com/influxdb; \
         do \
+	    src=$(BUILDDIR)/src/$(DH_GOPKG)/vendor/$$i; \
             dst=`dirname $(BUILDDIR)/src/$$i`; \
             mkdir -vp $$dst; \
-            cp -av vendor/$$i $$dst; \
+            mv -v $$src $$dst; \
         done
 
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDFLAGS)
-	# Build and install datetimepicker.
-	mkdir -vp $(BUILDDIR)/bootstrap-datetimepicker
-	lessc web/ui/static/vendor/bootstrap-datetimepicker/bootstrap-datetimepicker.less > \
-            $(BUILDDIR)/bootstrap-datetimepicker/bootstrap-datetimepicker.css
-	cp web/ui/static/vendor/bootstrap-datetimepicker/bootstrap-datetimepicker.js \
-            $(BUILDDIR)/bootstrap-datetimepicker/
 
 override_dh_auto_test:
-	# Avoid some tests that fail on slow architectures.
-	DH_GOLANG_EXCLUDES="$(SKIP_TESTS)" dh_auto_test -- $(SHORT_TESTS)
+	dh_auto_test -- $(TESTFLAGS)
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*\/)?v?([^\/]+)\.tar\.gz/prometheus-$1.tar.gz/,dversionmangle=s/\+ds\d*$//,uversionmangle=s/rc/~rc/" \
         https://github.com/prometheus/prometheus/tags \
         (?:.*/)?v?(\d[\d\.]*(?:rc\d*)?)\.tar\.gz

## prometheus 1.7.1+ds

=== debian/changelog ===
prometheus (1.7.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches, delete now unneeded 07-New_common_compat.patch.
  * Add new dependencies.
  * Update debian/changelog to reflect removed dependencies.

 -- Martín Ferrari <tincho@debian.org>  Fri, 04 Aug 2017 08:08:16 +0000

prometheus (1.6.3+ds2-1) unstable; urgency=high

  * Add patch to handle properly old-style graph URLs, which are used by the
    Debian version of Grafana.
  * Only depend on daemon if systemd-sysv is not installed.
  * Use dh-systemd to properly enable systemd service.
  * debian/default: Update description of flags. Closes: #870147.
  * Repack upstream source:
    - Remove now unneeded influxDB vendored deps.
    - Remove all remaining vendored dependencies & use Debian packages.
      Closes: #851817.
  * Backport commit 4d9b917 to solve build failure. Closes: #868943.
    Increasing urgency as it is an RC bug.
  * Remove gen-orig-tgz target, replace with gbp configuration.
  * Renumber patches.

 -- Martín Ferrari <tincho@debian.org>  Sun, 30 Jul 2017 18:23:03 +0000

prometheus (1.6.3+ds-1) unstable; urgency=medium

  * Use new goleveldb package name. Closes: #866920.
  * New upstream release. Closes: #865786
  * debian/control: Update Standards-Version without changes.

 -- Martín Ferrari <tincho@debian.org>  Wed, 05 Jul 2017 11:03:15 +0000

prometheus (1.6.2+ds-2) unstable; urgency=medium

  * Uploading to unstable version already in experimental.
  * debian/control: Fix Vcs-* fields.
  * debian/control: Mark package as autopkgtest-able.

 -- Martín Ferrari <tincho@debian.org>  Wed, 21 Jun 2017 10:00:24 +0100

prometheus (1.6.2+ds-1) experimental; urgency=medium

  * New upstream release.
  * Add missing epoch from golang-go dependency.
  * Add version to libjs-mustache dependency. Closes: #855808.
  * Refresh patches.
  * Update copyright for embedded fuzzy lib.
  * Update dependencies.

 -- Martín Ferrari <tincho@debian.org>  Fri, 19 May 2017 21:12:15 +0000

=== debian/control ===
--- 
+++ 
@@ -4,39 +4,52 @@
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>
 Build-Depends: adduser, debhelper (>= 9.0.0),
-               golang-go (>= 1.6),
+               golang-go (>= 2:1.8~),
                dh-golang (>= 1.17~),
+               dh-systemd,
                golang-github-asaskevich-govalidator-dev,
                golang-github-aws-aws-sdk-go-dev,
                golang-github-azure-azure-sdk-for-go-dev,
                golang-github-azure-go-autorest-dev,
                golang-github-dgrijalva-jwt-go-dev,
                golang-github-fsnotify-fsnotify-dev (>= 1.3.0-3),
+               golang-github-gogo-protobuf-dev,
                golang-github-golang-snappy-dev (>= 0.0+git20160529),
+               golang-github-gophercloud-gophercloud-dev,
+               golang-github-hashicorp-consul-dev,
+               golang-github-hashicorp-go-cleanhttp-dev,
+               golang-github-hashicorp-serf-dev,
+               golang-github-influxdb-influxdb-dev,
                golang-github-julienschmidt-httprouter-dev,
-               golang-github-miekg-dns-dev (>= 0.0~git20161018),
+               golang-github-miekg-dns-dev (>= 0.0~git20170501),
+               golang-github-opentracing-contrib-go-stdlib-dev,
+               golang-github-opentracing-opentracing-go-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-client-model-dev,
-               golang-github-prometheus-common-dev (>= 0+git20161002),
+               golang-github-prometheus-common-dev (>= 0+git20170220),
                golang-github-samuel-go-zookeeper-dev,
                golang-github-sirupsen-logrus-dev,
+               golang-github-stretchr-testify-dev,
+               golang-github-syndtr-goleveldb-dev,
                golang-golang-x-net-dev (>= 1:0.0+git20160518),
                golang-golang-x-oauth2-google-dev,
                golang-golang-x-sys-dev,
-               golang-goleveldb-dev,
+               golang-golang-x-time-dev,
                golang-google-api-dev,
                golang-gopkg-yaml.v2-dev,
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus.git/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus.git/
+Standards-Version: 4.0.0
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus.git
 Homepage: https://prometheus.io/
+Testsuite: autopkgtest-pkg-go
 
 Package: prometheus
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, daemon,
+Depends: ${shlibs:Depends}, ${misc:Depends},
+         daemon | systemd-sysv,
          libjs-bootstrap,
          libjs-eonasdan-bootstrap-datetimepicker,
-         libjs-mustache,
+         libjs-mustache (>= 2.3.0-1~),
          libjs-jquery (>= 1.11.3~),
          libjs-jquery-hotkeys,
          libjs-moment,

=== debian/rules ===
--- 
+++ 
@@ -41,18 +41,8 @@
 endif
 
 %:
-	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)
-
-override_dh_auto_configure:
-	dh_auto_configure -O--buildsystem=golang
-	# Include vendored dependencies.
-	for i in github.com/hashicorp github.com/influxdb; \
-        do \
-	    src=$(BUILDDIR)/src/$(DH_GOPKG)/vendor/$$i; \
-            dst=`dirname $(BUILDDIR)/src/$$i`; \
-            mkdir -vp $$dst; \
-            mv -v $$src $$dst; \
-        done
+	dh $@ --buildsystem=golang --with=golang,systemd \
+            --builddirectory=$(BUILDDIR)
 
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDFLAGS)
@@ -62,10 +52,3 @@
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source
-
-gen-orig-tgz:
-	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ] ; then \
-	    git archive --format=tar.gz --prefix=$(DEBPKGNAME)-$(VERSION)/ \
-                upstream/$(subst ~,_,$(VERSION)) > \
-                ../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ; \
-	fi
